### Method

# Gio Converter convert_bytes

since: 2.82

#### Declaration [src]

    GBytes*
    g_converter_convert_bytes (
      GConverter* converter,
      GBytes* bytes,
      GError** error
    )

#### Description [src]

Applies `converter` to the data in `bytes`.

Available since: 2.82

#### Parameters

`bytes`

  Type: `GBytes`

  The data to convert.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GBytes`

A newly-allocated `GBytes` with the converted data, or `NULL` if an error occurred.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.